version: "3.7"

volumes:
  uploads:
    name: uploads

networks:
  sftp:
  proxy:
    external: true

services:
  sftp:
    image: atmoz/sftp:alpine
    container_name: sftp
    volumes:
      - uploads:/home/pica/uploads
      - ./secrets/sftp.secrets:/etc/sftp/users.conf:ro
    ports:
      - "2222:22"
    networks:
      - sftp
    restart: unless-stopped

  uploads:
    container_name: uploads
    image: registry.picasoft.net/pica-nginx:stretch-20200901
    volumes:
      - uploads:/var/www/html
    labels:
      traefik.http.routers.uploads.entrypoints: websecure
      traefik.http.routers.uploads.rule: Host(`uploads.picasoft.net`)
      traefik.http.services.uploads.loadbalancer.server.port: 80
      traefik.enable: true
    networks:
      - proxy
    restart: unless-stopped
